For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
13.5kProductPricingSign inStart free trialBook a demo
DocsAPIsSDKsEnterprise EdgeGuidesAcademyRelease notes
DocsAPIsSDKsEnterprise EdgeGuidesAcademyRelease notes
    • API overview
  • Client API
  • Frontend API
  • Admin API
      • GETGet API tokens
      • POSTCreate API token
      • GETGet API tokens by name
      • PUTUpdate API token
      • DELDelete API token

Unleash reduces the risk of releasing new features, drives innovation by streamlining the software release process, and increases revenue by optimizing end-user experience. While we serve the needs of the world's largest, most security-conscious organizations, we are also rated the “Easiest Feature Management system to use” by G2.

GitHubGitHubLinkedInLinkedInX (Twitter)X (Twitter)SlackSlackStack OverflowStack OverflowYouTubeYouTube

Server SDKs

  • Node.js
  • Java
  • Go
  • Rust
  • Ruby
  • Python
  • .NET
  • PHP
  • All SDKs

Frontend SDKs

  • JavaScript
  • React
  • Next.js
  • Vue
  • iOS
  • Android
  • Flutter

Feature Flag use cases

  • Secure, scalable feature flags
  • Rollbacks
  • FedRAMP, SOC2, ISO2700 compliance
  • Progressive or gradual rollouts
  • Trunk-based development
  • Software kill switches
  • A/B testing
  • Feature management
  • Canary releases

Product

  • Quickstart
  • Unleash architecture
  • Pricing
  • Product vision
  • Open live demo
  • Open source
  • Enterprise feature management platform
  • Unleash vs LaunchDarkly

Support

  • Help center
  • Status
  • Changelog
Made in a cosy atmosphere in the Nordic countries.Copyright © 2026 Unleash
LogoLogo
13.5kProductPricingSign inStart free trialBook a demo
Admin APIAPI tokens

Get API tokens

||View as Markdown|
GET
https://app.unleash-instance.example.com/api/admin/api-tokens
GET
/api/admin/api-tokens
$curl https://app.unleash-instance.example.com/api/admin/api-tokens \
> -H "Authorization: <apiKey>"
1{
2 "tokens": [
3 {
4 "secret": "project:environment.xyzrandomstring",
5 "tokenName": "some-user",
6 "type": "client",
7 "projects": [
8 "developerexperience",
9 "enterprisegrowth"
10 ],
11 "createdAt": "2023-04-19T08:15:14.000Z",
12 "environment": "development",
13 "project": "developerexperience",
14 "expiresAt": "2023-04-19T08:15:14.000Z",
15 "seenAt": "2023-04-19T08:15:14.000Z",
16 "alias": "randomid-or-some-alias"
17 }
18 ]
19}
Retrieves all API tokens that exist in the Unleash instance.
Was this page helpful?
Previous

Create API token

Next
Built with

Authentication

Authorizationstring
API key needed to access this API
OR
AuthorizationBearer
API key needed to access this API, in Bearer token format

Response

apiTokensSchema
tokenslist of objects
A list of Unleash API tokens.

Errors

401
Unauthorized Error
403
Forbidden Error